# Uses of Interface
org.apache.lucene.util.AttributeReflector

Packages that use AttributeReflector
Package
Description
org.apache.lucene.analysis.tokenattributes
General-purpose attributes for text analysis.
org.apache.lucene.search
Code to search indices.
org.apache.lucene.util
Some utility classes.

- ## Uses of AttributeReflector in org.apache.lucene.analysis.tokenattributes

  Methods in org.apache.lucene.analysis.tokenattributes with parameters of type AttributeReflector
  Modifier and Type
  Method
  Description
  `void`
  BytesTermAttributeImpl.`reflectWith(AttributeReflector reflector)`
  `void`
  CharTermAttributeImpl.`reflectWith(AttributeReflector reflector)`
  `void`
  FlagsAttributeImpl.`reflectWith(AttributeReflector reflector)`
  `void`
  KeywordAttributeImpl.`reflectWith(AttributeReflector reflector)`
  `void`
  OffsetAttributeImpl.`reflectWith(AttributeReflector reflector)`
  `void`
  PackedTokenAttributeImpl.`reflectWith(AttributeReflector reflector)`
  `void`
  PayloadAttributeImpl.`reflectWith(AttributeReflector reflector)`
  `void`
  PositionIncrementAttributeImpl.`reflectWith(AttributeReflector reflector)`
  `void`
  PositionLengthAttributeImpl.`reflectWith(AttributeReflector reflector)`
  `void`
  SentenceAttributeImpl.`reflectWith(AttributeReflector reflector)`
  `void`
  TermFrequencyAttributeImpl.`reflectWith(AttributeReflector reflector)`
  `void`
  TypeAttributeImpl.`reflectWith(AttributeReflector reflector)`

- ## Uses of AttributeReflector in org.apache.lucene.search

  Methods in org.apache.lucene.search with parameters of type AttributeReflector
  Modifier and Type
  Method
  Description
  `void`
  BoostAttributeImpl.`reflectWith(AttributeReflector reflector)`
  `void`
  MaxNonCompetitiveBoostAttributeImpl.`reflectWith(AttributeReflector reflector)`

- ## Uses of AttributeReflector in org.apache.lucene.util

  Methods in org.apache.lucene.util with parameters of type AttributeReflector
  Modifier and Type
  Method
  Description
  `abstract void`
  AttributeImpl.`reflectWith(AttributeReflector reflector)`
  This method is for introspection of attributes, it should simply add the key/values this attribute holds to the given `AttributeReflector`.
  `final void`
  AttributeSource.`reflectWith(AttributeReflector reflector)`
  This method is for introspection of attributes, it should simply add the key/values this AttributeSource holds to the given `AttributeReflector`.